curl --request PATCH \
--url https://api.example.com/invocations/{invocation_id}/resumeimport requests
url = "https://api.example.com/invocations/{invocation_id}/resume"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.example.com/invocations/{invocation_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"restate_code": "<string>"
}{
"message": "<string>",
"restate_code": "<string>"
}{
"message": "<string>",
"restate_code": "<string>"
}{
"message": "<string>",
"restate_code": "<string>"
}{
"message": "<string>",
"restate_code": "<string>"
}Resume an invocation
Resumes a paused or suspended invocation. If the invocation is backing off due to a retry, this will immediately trigger the retry. Optionally, you can change the deployment ID that will be used when the invocation resumes. For more information see resume documentation
Path Parameters
Invocation identifier.
Query Parameters
When resuming from paused/suspended, provide a deployment id to use to replace the currently pinned deployment id. If 'latest', use the latest deployment id. If 'keep', keeps the pinned deployment id. When not provided, the invocation will resume on the pinned deployment id. When provided and the invocation is either running, or no deployment is pinned, this operation will fail. Specifies which deployment to use when resuming or restarting an invocation.
Keep Response
Invocation resumed successfully